#include "main.h"
/*
  NOKIA 1202 LCD
  Driver for  Arduino.
  Interfacing with the Nokia 1202 LCD, STE2007
  08.07.2013
  SerPanRC@yandex.ru
  http://forum.rcdesign.ru/f90/thread327590.html
   http://youtu.be/PWgo0LkuSA0
*/

#define PIN_RESET				LCD_RST_Pin      // XRES
#define PORT_RESET			LCD_RST_GPIO_Port
#define PIN_SCE					LCD_CS_Pin      //  XCE
#define PORT_SCE				LCD_CS_GPIO_Port
#define PIN_SDIN				LCD_SI_Pin      // SDA
#define PORT_SDIN				LCD_SI_GPIO_Port
#define PIN_SCLK				LCD_SCK_Pin      // SCLK
#define PORT_SCLK				LCD_SCK_GPIO_Port


#define LCD_C GPIO_PIN_RESET // Command
#define LCD_D GPIO_PIN_SET // Data


void LcdWrite(char dc, char data);
void LcdCharacter(char character);
void LcdClear(void);
void LcdClear_line(char l);
void Lcd_set_pos_pix(char c, char r);
void Lcd_set_pos(char c, char r);
void lcd_crlf(void);
void Lcd_drawColumn(char sline, char value);
void LcdInitialise(void);
void LcdString(char *characters);
void LcdString_neg(char *characters, uint8_t neg);
void LcdString_f(unsigned int func);
void DrawVlin (char y0, char y1);
void draw_progbar(int value,int row);
void draw_bitmap( const unsigned char *bitmap,unsigned char X_size,unsigned char Y_size,unsigned char X_start,unsigned char Y_start);




